!=========================================================================
! Copyright (C) GemStone Systems, Inc. 1986-2009.  All Rights Reserved.
!
! $Id: complexvcblock.gs 22222 2009-09-02 00:36:20Z stever $
!
! Superclass Hierarchy:
!   ComplexVCBlock, ComplexBlock, ExecutableBlock, BlockClosure, Object.
!
!=========================================================================

removeallmethods ComplexVCBlock
removeallclassmethods ComplexVCBlock

category: 'For Documentation Installation only'
classmethod: ComplexVCBlock
installDocumentation

| doc txt |
doc := GsClassDocumentation newForClass: self.

txt := (GsDocText new) details:
'A ComplexVCBlock is a special kind of complex block that does require the
 creation of a variable context when it becomes active.  It contains a nested
 block that refers to its arguments or temporaries, which must be allocated in
 the variable context.' .
doc documentClassWith: txt.

self description: doc.
%

category: 'Disassembly'
classmethod: ComplexVCBlock
_cost

^ 3

%


