!=========================================================================
! Copyright (C) GemStone Systems, Inc. 1986-2009.  All Rights Reserved.
!
! $Id: stringpairset.gs 22222 2009-09-02 00:36:20Z stever $
!
! Superclass Hierarchy:
!   StringPairSet, IdentitySet, IdentityBag, UnorderedCollection, 
!    Collection, Object.
!
!=========================================================================

expectvalue %String
run
IdentitySet _newKernelSubclass: 'StringPairSet'
  instVarNames: #()
  classVars: #()
  classInstVars: #()
  poolDictionaries: #[]
  inDictionary: Globals
  constraints: StringPair
  instancesInvariant: false
  isModifiable: false
  reservedOop: 739
%

removeallmethods StringPairSet
removeallclassmethods StringPairSet

category: 'For Documentation Installation only'
classmethod: StringPairSet
installDocumentation

| doc txt |
doc := GsClassDocumentation newForClass: self.

txt := (GsDocText new) details:
'A StringPairSet is an IdentitySet that contains only StringPair objects.'.
doc documentClassWith: txt.

self description: doc.
%

! ------------------- Class methods for StringPairSet
! ------------------- Instance methods for StringPairSet
category: 'Sorting'
method: StringPairSet
sortAscending

"Returns an Array of the contents of the receiver sorted
 by key in ascending order."

^ self _sortPaths: #(#key) directions: #(true).
%

