!=========================================================================
! Copyright (C) GemStone Systems, Inc. 1986-2009.  All Rights Reserved.
!
! $Id: bucketvaluebag.gs 22222 2009-09-02 00:36:20Z stever $
!
! Superclass Hierarchy:
!   BucketValueBag, IdentityBag, UnorderedCollection, Collection, Object.
!
!=========================================================================

! class created in idxclasses.topaz

removeallmethods BucketValueBag
removeallclassmethods BucketValueBag

category: 'For Documentation Installation only'
classmethod: BucketValueBag
installDocumentation

| doc txt |
doc := GsClassDocumentation _newForPrivateGsClass: self.

txt := (GsDocText new) details:
''.

doc documentClassWith: txt.

self description: doc.
%

category: 'Instance Creation'
classmethod: BucketValueBag
new

"Disallowed.  You cannot create a BucketValueBag through the normal
 means.  This class is for internal use only."

self shouldNotImplement: #new
%


category: 'Private'
classmethod: BucketValueBag
_hasInstance: anObject

"Returns whether the argument is an instance of BucketValueBag without
 encountering authorization errors."

< primitive: 186>
self _primitiveFailed: #_hasInstance: .
self _uncontinuableError
%

category: 'Repository Conversion'
method: BucketValueBag
conversionRebuild

"do nothing"

 ^ self
%
